Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Jul 2019, 19:13
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
tahrpup 6.0, 6.0.2 & 6.0.5 CE
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 26 of 56 [832 Posts]   Goto page: Previous 1, 2, 3, ..., 24, 25, 26, 27, 28, ..., 54, 55, 56 Next
Author Message
666philb


Joined: 07 Feb 2010
Posts: 3431
Location: wales

PostPosted: Wed 04 Feb 2015, 14:43    Post subject:  

hi scabz,

i've been having a play with the qtchooser and having some success
i followed the LFS instructions here to setup the .conf files http://www.linuxfromscratch.org/blfs/view/7.4/general/qtchooser.html

and then running different tools like this....
Code:
qtchooser -run-tool=qtconfig -qt4
and
Code:
qtchooser -run-tool=qmake -qt5


so basically i need to add the missing qt4 stuff (everything to make a complete qt4) & the .conf files to the devx and all should be good

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Wed 04 Feb 2015, 15:35    Post subject:  

cool i am glad you are getting it worked out.

last night i compiled Qt 4.8.6 in tahrpup to keep myself happy,
i can now compile programs i want. i alway do 2 compiles of Qt one built shared and another static only, that way i can compile both shared and static.
this is the shared ver i still need to do a static only compile
Code:
Build type:    linux-g++
Architecture:  i386
Platform notes:

            - Also available for Linux: linux-kcc linux-icc linux-cxx
       
Build .................. libs tools docs translations
Configuration ..........  release largefile stl precompile_header mmx 3dnow sse sse2 sse3 ssse3 sse4_1 sse4_2 avx  minimal-config small-config medium-config large-config full-config qt3support phonon phonon-backend accessibility opengl shared reduce_exports ipv6 clock-gettime clock-monotonic mremap getaddrinfo ipv6ifname getifaddrs inotify system-jpeg system-png png system-tiff system-freetype system-zlib nis cups iconv glib gstreamer dbus openssl x11sm xshape xvideo xsync xrender mitshm fontconfig xkb alsa concurrent xmlpatterns multimedia audio-backend svg script scripttools declarative release
Debug .................. no
Qt 3 compatibility ..... yes
QtDBus module .......... yes (run-time)
QtConcurrent code ...... yes
QtGui module ........... yes
QtScript module ........ yes
QtScriptTools module ... yes
QtXmlPatterns module ... yes
Phonon module .......... yes
Multimedia module ...... auto
SVG module ............. yes
WebKit module .......... yes
JavaScriptCore JIT ..... To be decided by JavaScriptCore
Declarative module ..... yes
Declarative debugging ...yes
Support for S60 ........ no
Symbian DEF files ...... no
STL support ............ yes
PCH support ............ yes
MMX/3DNOW/SSE/SSE2/SSE3. yes/yes/yes/yes/yes
SSSE3/SSE4.1/SSE4.2..... yes/yes/yes
AVX..................... yes
Graphics System ........ default
IPv6 support ........... yes
IPv6 ifname support .... yes
getaddrinfo support .... yes
getifaddrs support ..... yes
Accessibility .......... yes
NIS support ............ yes
CUPS support ........... yes
Iconv support .......... yes
Glib support ........... yes
GStreamer support ...... yes
PulseAudio support ..... no
Large File support ..... yes
GIF support ............ plugin
TIFF support ........... plugin (system)
JPEG support ........... plugin (system)
PNG support ............ yes (system)
MNG support ............ plugin (qt)
zlib support ........... system
Session management ..... yes
OpenGL support ......... yes (Desktop OpenGL)
OpenVG support ......... no
NAS sound support ...... no
XShape support ......... yes
XVideo support ......... yes
XSync support .......... yes
Xinerama support ....... runtime
Xcursor support ........ runtime
Xfixes support ......... runtime
Xrandr support ......... runtime
Xrender support ........ yes
Xi support ............. runtime
MIT-SHM support ........ yes
FontConfig support ..... yes
XKB Support ............ yes
immodule support ....... yes
GTK theme support ...... yes
SQLite support ......... plugin (qt)
OpenSSL support ........ yes (run-time)
Alsa support ........... yes
ICD support ............ no
libICU support ......... no
Use system proxies ..... no


-- might as well post my ./configure
Code:
./configure -prefix /usr -bindir /usr/bin -plugindir /usr/lib/qt4/plugins -importdir /usr/lib/qt4/imports -headerdir /usr/include/qt4 -datadir /usr/share/qt4 -sysconfdir /etc/xdg -docdir /usr/share/doc/qt4 -demosdir /usr/share/doc/qt4/demos -examplesdir /usr/share/doc/qt4/examples -translationdir /usr/share/qt4/translations -confirm-license -opensource -release -nomake examples -nomake demos

Last edited by scabz on Wed 04 Feb 2015, 18:58; edited 1 time in total
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Wed 04 Feb 2015, 16:50    Post subject:  

not really a bug but i am goin to post here cuzz it bugs me "just my opinion don't take it to heart you are doin great work and i highly appreciate it "

Why is Qt included in the first place?
Is it included just for vlc?
If so there are smaller alternatives that do not require Qt and others that can be compiled with static Qt.

if vlc must be included you could use LD_LIBRARY_PATH
example
Code:
LD_LIBRARY_PATH=/usr/share/vlc:$LD_LIBRARY_PATH  vlc

then you could include only needed Qt libs in /usr/share/vlc
would be best to compile vlc in /opt and then use LD_LIBRARY_PATH

how i feel is if Qt is included it should be used by more then one app.
ya might as well have a DE, video player, music player and so on that uses Qt.
Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
backi

Joined: 27 Feb 2011
Posts: 1718
Location: GERMANY

PostPosted: Thu 05 Feb 2015, 11:32    Post subject:  

Hi !
Can not burn Videos with Pburn .

Says ffmpeg not installed .
Did install it but .......no luck.

Anyone else ?
Back to top
View user's profile Send private message 
starhawk

Joined: 22 Nov 2010
Posts: 5056
Location: Everybody knows this is nowhere...

PostPosted: Thu 05 Feb 2015, 17:33    Post subject:  

While I won't be of much help with the actual issue of PBurn not wanting to do the video thing... I think others will be more inclined to assist, if you give us all some information.

See the first post here (please do NOT post there, post here instead) --> http://murga-linux.com/puppy/viewtopic.php?t=90471

If you can answer all the questions in that post (again, please answer here and not there), then people will be able to help you much more easily. We'll probably start by asking most of that, anyways, so it saves time on both sides...

_________________

Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1718
Location: GERMANY

PostPosted: Fri 06 Feb 2015, 04:14    Post subject:  

Thanks for your reply starhawk .
But there is not much to say.
Can not burn Videos with Pburn .
Works in all other Puppys for example Precise .
Tried to burn Video (option Burn Video) to a rewritable DVD .
Could not burn it
Says "ffmpeg must be installed to burn Audio and convert Video" .
Dependency check with Pburn no ffmpeg.

Did install ffmpeg but ......
Error output:
ffmpeg: error while loading shared libraries: libx264.so.85: cannot open shared object file: No such file or directory
DVDAuthor::dvdauthor, version 0.7.0.
Build options: gnugetopt iconv freetype fribidi fontconfig
Send bug reports to <dvdauthor-users@lists.sourceforge.net>

INFO: default video format is PAL
INFO: dvdauthor creating VTS
STAT: Picking VTS 01

STAT: Processing /root/my-documents/tmp/pburn_tmp/101.mpg...
ERR: 2 opening input video file "/root/my-documents/tmp/pburn_tmp/101.mpg" -- No such file or directory
WARNING: /dev/sr0 already carries isofs!
About to execute 'genisoimage -dvd-video /root/my-documents/tmp/pburn-DVD | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
genisoimage: No such file or directory. Failed to open VIDEO_TS.IFO
genisoimage: Can't open VMG info for '/root/my-documents/tmp/pburn-DVD/'.
genisoimage: Unable to parse DVD-Video structures.
genisoimage: Could not find correct 'VIDEO_TS' directory.
genisoimage: Unable to make a DVD-Video image.
Possible reasons:
- VIDEO_TS subdirectory was not found on specified location
- VIDEO_TS has invalid contents
Sad write failed: Input/output error

.no luck.
Just want to know if someone else encountered this problem or maybe its just on my system .
Back to top
View user's profile Send private message 
festus


Joined: 14 Jan 2015
Posts: 214

PostPosted: Fri 06 Feb 2015, 09:36    Post subject:
Subject description: ffmpeg fix
 

Hello, backi.

I had the same problem with no ffmpeg on, lxpuptahr-14.12.1-pae, and the only thing that didn't work, OOTB, was burning an audio CD with pburn. I fixed that by unpacking ffmpeg into /usr/bin; I found it here>
http://johnvansickle.com/ffmpeg/

extract> ffmpeg-git-20150107-32bit-static.tar.xz to usr/bin

*extract the individual files there, not them in the "ffmpeg" folder.

Hope this helps,
festus
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1718
Location: GERMANY

PostPosted: Fri 06 Feb 2015, 09:55    Post subject:  

Hi festus !

Thanks for your advise but i dont know how to handle this .
Downloaded ffmpeg-2.5.3.tar.bz2 extracted it ...no plan what to do .
Apart from this .....like Tahr pup a lot.....but this issue must be solved from the root.
Means must somehow implemented in an update.
Just my opinion.
Thanks....
looking further for ideas !
Back to top
View user's profile Send private message 
festus


Joined: 14 Jan 2015
Posts: 214

PostPosted: Fri 06 Feb 2015, 10:25    Post subject:  

Hi, backi

Download this one>
http://johnvansickle.com/ffmpeg/builds/ffmpeg-git-32bit-static.tar.xz

Open it with pupzip or any archive app and extract the individual files in it to usr/bin. If for some reason it extracts the indiv files to a folder, just select each file in the folder, cut them out and paste them in /usr/bin.

Then open a terminal and type ffmpeg and see if it is installed and working.

You'll get it...

festus Smile
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1718
Location: GERMANY

PostPosted: Fri 06 Feb 2015, 11:02    Post subject:  

Cool festus ......working fine !
Thanks a lot !
But should be implemented in the iso....

Blessings !
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 1718
Location: GERMANY

PostPosted: Fri 06 Feb 2015, 11:58    Post subject:  

Only throwing ffmpeg into /usr/bin (without the rest) seems working well.
Not so much mgbytes.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 3431
Location: wales

PostPosted: Fri 06 Feb 2015, 12:59    Post subject:  

scabz wrote:
not really a bug but i am goin to post here cuzz it bugs me "just my opinion don't take it to heart you are doin great work and i highly appreciate it "

Why is Qt included in the first place?
Is it included just for vlc?
If so there are smaller alternatives that do not require Qt and others that can be compiled with static Qt.

if vlc must be included you could use LD_LIBRARY_PATH
example
Code:
LD_LIBRARY_PATH=/usr/share/vlc:$LD_LIBRARY_PATH  vlc

then you could include only needed Qt libs in /usr/share/vlc
would be best to compile vlc in /opt and then use LD_LIBRARY_PATH

how i feel is if Qt is included it should be used by more then one app.
ya might as well have a DE, video player, music player and so on that uses Qt.


hi scabz,

i chose vlc over an mplayer based media player because i've had problems in the past with audio going out of sync on various setups. shinobar built a vlc for tahrpup without QT but i didn't want a hobbled media player so went with the full version.

although vlc is the only QT app in tahrpup, there's quite a few apps in quickpet that use it and it's nice that they can run without an extra QT.sfs, also now i've added some missing stuff to the devx ... so QT apps now compile!
the new devx for 6.0 has been uploaded replacing the old one.

i do have a request though if you're up for it? a QT5 5.2.1 .sfs (with dev files) for the tahrpup repo.
i would prefer it if it installed to the same locations as the ubuntu qt5 packages ...ie not /opt

cheers

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
scabz


Joined: 30 Apr 2009
Posts: 366
Location: Tallahassee FL US

PostPosted: Fri 06 Feb 2015, 14:32    Post subject:  

666philb wrote:
Quote:
i chose vlc over an mplayer based media player because i've had problems in the past with audio going out of sync on various setups

I have had exact same issues with vlc.

666philb wrote:
Quote:
also now i've added some missing stuff to the devx ... so QT apps now compile!

libass4_0.10.1 is included but libass-dev_0.10.1 is missing from the devx, i haven't checked the updated devx yet.

Sure i could complie QT5 5.2.1 , just give me a few days.
capture13068.png
 Description   
 Filesize   38.59 KB
 Viewed   661 Time(s)

capture13068.png

Back to top
View user's profile Send private message AIM Address Yahoo Messenger 
666philb


Joined: 07 Feb 2010
Posts: 3431
Location: wales

PostPosted: Fri 06 Feb 2015, 18:05    Post subject:  

scabz wrote:
I have had exact same issues with vlc.
Smile


libass-dev isn't in the devx ..... there's probably quite a few things that should be in there and aren't, i'll add it to the tahrpup DISTRO_PKG_SPECS so future builds will include it.

_________________
Bionicpup64 built with bionic beaver packages http://murga-linux.com/puppy/viewtopic.php?t=114311
Xenialpup64, built with xenial xerus packages http://murga-linux.com/puppy/viewtopic.php?t=107331
Back to top
View user's profile Send private message 
charlie6


Joined: 30 Jun 2008
Posts: 1218
Location: Saint-Gérard / Walloon part of Belgium

PostPosted: Sat 07 Feb 2015, 08:43    Post subject:  

@scabz
@666philb

Code:
# /usr/bin/qmake
qmake: could not find a Qt installation of ''

Shocked here got also that same message while compiling a Qt app (i.e. canorus music score editor
http://sourceforge.net/projects/canorus/files/0.7.1/canorus-0.7.1rc1.tar.bz2/download )

...now understanding why here could'nt get it to compile ...!

note: Ubuntu's repo canorus archive (downloadable via PPM) does not run properly (hangs up or segfaults upon simple GUI selections); that's the reason why i got a try to complile it on Tahr-6.0PAE.

Thanks for all your works !
Charlie
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 26 of 56 [832 Posts]   Goto page: Previous 1, 2, 3, ..., 24, 25, 26, 27, 28, ..., 54, 55, 56 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0933s ][ Queries: 12 (0.0356s) ][ GZIP on ]